/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreview.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.TreeDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workreview.entity.WorkReviewAudit;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 复核标准DAO接口
 * @author ssrh
 * @version 2018-06-01
 */
@MyBatisDao
public interface WorkReviewAuditDao extends CrudDao<WorkReviewAudit>,TreeDao<WorkReviewAudit> {


    List<WorkReviewAudit> fingIds(@Param("parentIdSet") Set<String> parentIdSet, @Param("companyId") String companyId);
    void reportMaxDeduct(@Param("id") String id,@Param("maxDeduct") String maxDeduct);

    WorkReviewAudit getReviewAudit(@Param("reportId")String reportId,@Param("companyId")String companyId,@Param("type")String type);
    void deleteAudit(@Param("reportId")String reportId);
    void deleteAuditType(@Param("reportId")String reportId);
    void deleteAuditChangeType(@Param("reportId")String reportId);
    void delReviewAudit(@Param("reportId")String reportId);
    void deleteAuditById(@Param("id")String id);

    String selectOrderNum(String parentId);
}